VkImageFormatProperties Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkImageFormatProperties:
[legend]

## Data Fields

VkExtent3D | maxExtent
uint32_t | maxMipLevels
uint32_t | maxArrayLayers
VkSampleCountFlags | sampleCounts
VkDeviceSize | maxResourceSize

## Detailed Description

Definition at line 1498 of file vulkan.h.

## Field Documentation

## maxArrayLayers

uint32_t VkImageFormatProperties::maxArrayLayers

Definition at line 1501 of file vulkan.h.

## maxExtent

VkExtent3D VkImageFormatProperties::maxExtent

Definition at line 1499 of file vulkan.h.

## maxMipLevels

uint32_t VkImageFormatProperties::maxMipLevels

Definition at line 1500 of file vulkan.h.

## maxResourceSize

VkDeviceSize VkImageFormatProperties::maxResourceSize

Definition at line 1503 of file vulkan.h.

## sampleCounts

VkSampleCountFlags VkImageFormatProperties::sampleCounts

Definition at line 1502 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h